//
//  Game.h
//  TicTacToe
//
//  Created by Kasprzak Ingo on 04.07.12.
//  Copyright (c) 2012 Silutions. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <CoreData/CoreData.h>

@class Move;

@interface Game : NSManagedObject

@property (nonatomic, retain) NSDate * creationDate;
@property (nonatomic, retain) NSDate * modificationDate;
@property (nonatomic, retain) NSString * modificationDeviceUid;
@property (nonatomic, retain) NSString * serverDeviceUID;
@property (nonatomic, retain) NSString * uid;
@property (nonatomic, retain) NSSet *moves;
@property (nonatomic, retain) NSSet *winningCombo;
@end

@interface Game (CoreDataGeneratedAccessors)

- (void)addMovesObject:(Move *)value;
- (void)removeMovesObject:(Move *)value;
- (void)addMoves:(NSSet *)values;
- (void)removeMoves:(NSSet *)values;

- (void)addWinningComboObject:(Move *)value;
- (void)removeWinningComboObject:(Move *)value;
- (void)addWinningCombo:(NSSet *)values;
- (void)removeWinningCombo:(NSSet *)values;

@end
